------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]海盗主线1
--Creator:		洪聪敏
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>272
--/reloadlua Script/TaoistNewAreaTask1.lua

CppScriptMgr:SetViewPosByCell(490, 414)



------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
CppScriptMgr:AddEffect("accession1", 491, 415)
CppScriptMgr:AddEffect("accession1", 493, 410)
CppScriptMgr:AddEffect("Ren_Check", 491, 412)
CppScriptMgr:AddEffect("Ren_Check", 495, 408)
CppScriptMgr:AddEffect("airwall_goldf", 405,304)
CppScriptMgr:AddEffect("airwall_goldf", 405,307)
local hero = CppScriptMgr:QueryHero()
hero:SetPos(491, 415)
hero:SetDir(5)
hero:SetAction(230);
local heroSex = hero:GetSex();
--艾莎公主
local player1   = CppScriptMgr:AddSimplePlayer(21680, 493, 410, "Princess Eisha")
CppScriptMgr:WaitMilSec(1000)

-- 喊话
player1:Say("Farewell, my friend!", 2000)
CppScriptMgr:NpcCallOut("Farewell, my friend!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc911", 150, 430, "Princess Eisha", 250, 655)

CppScriptMgr:WaitMilSec(1000)

hero:Say("Thanks! I will be brave in the following adventures.", 2000)
if heroSex == 1 then
	CppScriptMgr:NpcCallOut("Thanks! I will be brave in the following adventures.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcPirateBoy", 150, 430, hero:GetName(), 250, 655)
 else
	CppScriptMgr:NpcCallOut("Thanks! I will be brave in the following adventures.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcPirateGirl", 150, 430, hero:GetName(), 250, 655)
 end
CppScriptMgr:WaitMilSec(1000)

player1:Say("Good luck!", 2000)
CppScriptMgr:NpcCallOut("Good luck!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc911", 150, 430,"Princess Eisha", 250, 655)

CppScriptMgr:WaitMilSec(1000)




CppScriptMgr:SetViewPosByCell(486,380)
if heroSex == 1 then
	CppScriptMgr:NpcCallOut("This must be the ship of Marine Chamber of Commerce. It surprises me that they have obtained so many treasures from the island.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcPirateBoy", 150, 430, hero:GetName(), 250, 655)
 else
	CppScriptMgr:NpcCallOut("This must be the ship of Marine Chamber of Commerce. It surprises me that they have obtained so many treasures from the island.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcPirateGirl", 150, 430, hero:GetName(), 250, 655)
 end
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetViewPosByCell(406,309)
if heroSex == 1 then
	CppScriptMgr:NpcCallOut("It seems that the way to the island has been blocked. We need to find other ways.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcPirateBoy", 150, 430, hero:GetName(), 250, 655)
 else
	CppScriptMgr:NpcCallOut("It seems that the way to the island has been blocked. We need to find other ways.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcPirateGirl", 150, 430, hero:GetName(), 250, 655)
 end

CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:SetViewPosByCell(214,162)
if heroSex == 1 then
	CppScriptMgr:NpcCallOut("The treasure must be here!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcPirateBoy", 150, 430, hero:GetName(), 250, 655)
 else
	CppScriptMgr:NpcCallOut("The treasure must be here!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcPirateGirl", 150, 430, hero:GetName(), 250, 655)
 end
CppScriptMgr:WaitMilSec(2000)



CppScriptMgr:SetViewPosByCell(160,294)
if heroSex == 1 then
	CppScriptMgr:NpcCallOut("There is a volcano on the island! No wonder there are so many vortexes around.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcPirateBoy", 150, 430, hero:GetName(), 250, 655)
 else
	CppScriptMgr:NpcCallOut("There is a volcano on the island! No wonder there are so many vortexes around.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcPirateGirl", 150, 430, hero:GetName(), 250, 655)
 end
CppScriptMgr:WaitMilSec(3000)




